Create a Post
cancel
Showing results for 
Search instead for 
Did you mean: 
And
Participant

There are no objects after upgrading Management from R77.30 to R80.40

Jump to solution

Hello all,

I updated  Security Management server from R77.30 to R80.40 using CPUSE (I upgraded to R80.40 and then installed R80_40_JUMBO_HF_Bundle_T161). 

Before the upgrade there was an issue "The database contains objects with non-Unicode characters. Remove the non-Unicode characters or follow the instructions in sk114739 before running the upgrade process", so I  ran Encoding_Detection.exe utility, there was the output: WINDOWS-1252, I created db_encoding.txt file in the $FWDIR/conf/ directory containing the string WINDOWS-1252 , and then everything went well.

Unfortunately , after the upgrade I found that all the objects are gone! There are no gateways, hosts, networks, services - only the standard objects are present.  Mostly I can see the objects names are displayed as "Unavailable"  and it's not possible to view or edit them. There are no gateways visible at all (There is only the management server in "Gateways and Servers" ).

This is a virtual machine (Open server)


I wonder if it's possible to restore them all somehow, or I should rollback to R77.30 snapshot and try another upgrade method.




0 Kudos
1 Solution

Accepted Solutions
PhoneBoy
Admin
Admin

I'd roll back to R77.30 and do the upgrade doing an Advanced Migration to a freshly installed R80.40 Management, maybe in a VM.
This will give you the performance benefit of using the XFS filesystem (only available via a Clean Install).

View solution in original post

10 Replies
PhoneBoy
Admin
Admin

I'd roll back to R77.30 and do the upgrade doing an Advanced Migration to a freshly installed R80.40 Management, maybe in a VM.
This will give you the performance benefit of using the XFS filesystem (only available via a Clean Install).

And
Participant

I tried to follow Advanced Migration to R80.40.
I rolled back to R77.30. I uploaded 80.40 Management Server Migration Tool package 
Check_Point_R80.40_T294_Gaia_SecurePlatform(above_R75.47)_Migration_tools.tgz to my management server, extracted it.

Unfortunately, even Pre-Upgrade Verifier (PUV) does not work for me.
I have this error:

# ./pre_upgrade_verifier -p FWDIR -c R77 -t R80.40
Error: Failed to open the file "appfw_misc.C" for reading.

I executed #cpstop , but I still have the same error message. 
I found the problematic file here:  /opt/CPsuite-R77/fw1/conf/appfw_misc.C
It looks good, I can read it. I tried to change the file permissions, but nothing helps.

0 Kudos
the_rock
Champion
Champion

Technically, you dont do this via command line any more, just web UI. I know you said you tried cpuse already, but can you please attach a screenshot of the error you received? I helped someone do upgrade before from R77.30 to R80.10 and from there, we did all the way to R80.40 and it worked fine.

Andy

0 Kudos
And
Participant

Unfortunately, I can't use webUI because of ancient certificates/SSL version on R77.30. All the browsers refuse to connect at all. I know it's possible to connect using an old browser version (like Mozilla portable). But I am only allowed to connect from the jump host which cannot be used with any non-standard software.

0 Kudos
AndréTinoco
Contributor

Hello,

It should be "./pre_upgrade_verifier -p $FWDIR -c R77 -t R80.40". You are missing the "$" sign.

Also, how did you run the upgrade? I see you did not use WebUI so what command did you use? Is it possible you run "installer install" and not "installer upgrade"?

And
Participant

Oh, right you are about the "$" sign!  Huge Thanks! Now I am 1 step further.
As far as I know, "installer install" command is for installing Hotfixes. "installer upgrade" command is for installing Major OS versions. They can't be used interchangeably. 


0 Kudos
And
Participant

I succeeded with pre_upgrade_verifier.

Than I did the Export of the management database and transferred the file to a newly installed R80.40 Management server.

On a newly installed R80.40 server I installed the licenses. When I tried to import the management database, I faced this error: #

# ./migrate import -l /var/log/cpupgrade/migrated_export_file.tgz

This utility requires the Check Point Security Management Server.

During the OS installation I chose “Security management”. It looks like not enough. I performed the first-time config wizard  (although it's written not to do it in the Advanced Migration Guide). However, during wizard it’s being chosen the server role ( the Security Management Server in my case)
After that “migrate import” script started working.

After it finished I started SmartConsole, and so far it everything looks very good! 

There are a lot of objects, there are my gateways, hosts, networks, services. There are no objects names which are displayed as "Unavailable".

0 Kudos
Maarten_Sjouw
Champion
Champion

Try upgrading in 2 steps, first go to a clean install R80.10 and then upgrade to R80.40.

Regards, Maarten
0 Kudos
And
Participant

Hello Maarten,

I am sorry, but such an approach looks a bit strange to me. Why to do clean install  R80.10 and then upgrade to R80.40, if it's possible to do clean install R80.40 right away?

Advanced Migration worked well enough for me. 

0 Kudos
Maarten_Sjouw
Champion
Champion

Sorry did not see your last response, In my experience in doing upgrades I found going to R80.10 resolved most of the problems in the conversion from R77.30, but if it worked in the end this is fine.

Regards, Maarten
0 Kudos